﻿using UnityEngine;
using UnityEngine.Scripting;

namespace RocketRevenueTracker
{
    public class RocketRevenueTrackerController : MonoBehaviour
    {
        private static RocketRevenueTracker[] _revenueTrackers;

#if ROC_GM_APPSFLYER
        [SerializeField]
        private bool _sendAppsflyer = true;
#endif
#if ROC_FACEBOOK
        [SerializeField]
        private bool _sendFacebook = true;
#endif
#if ROC_FIREBASE
        [SerializeField]
        private bool _sendFirebase = true;
#endif

        private void Start()
        {
            Debug.Log("[RocGMRevenueTrackerController] Initializing RocGMRevenueTracker.");
            _revenueTrackers = new RocketRevenueTracker[]
            {
                new RocketRevenueTracker(0.03f, "_03"),
                new RocketRevenueTracker(0.05f, "_05"),
                new RocketRevenueTracker(0.10f, "_10"),
                new RocketRevenueTracker(0.20f, "_20"),
                new RocketRevenueTracker(0.50f, "_50"),
                new RocketRevenueTracker(1.00f, "_100")
            };


#if ROC_GM_APPSFLYER
                RocketRevenueTracker.SendAppsflyer = _sendAppsflyer;
#endif
#if ROC_FACEBOOK
                RocketRevenueTracker.SendFacebook = _sendFacebook;
#endif
#if ROC_FIREBASE
                RocketRevenueTracker.SendFirebase = _sendFirebase;
#endif

            Debug.Log($"[RocGMRevenueTrackerController] {_revenueTrackers.Length} tracker found.");
        }
    }
}